[[ $c := merge .diagrams . -]]
job "[[ .instance ]]" {

[[ template "common/job_start.tpl" $c ]]

  group "diagrams" {
    network {
      mode = "bridge"
    }

    service {
      name = "[[ .instance ]][[ .consul.suffix ]]"
      port = 8282

[[ template "common/connect.tpl" $c ]]

      check {
        type     = "http"
        path     = "/health"
        expose   = true
        interval = "1m"
        timeout  = "8s"

        check_restart {
          limit = 4
          grace = "1m"
        }
      }

      tags = [
[[ template "common/traefik_tags" $c ]]
      ]
    }

    task "diagrams" {
      driver = "[[ $c.nomad.driver ]]"

      config {
        image           = "[[ $c.image ]]"
        pids_limit      = 200
        readonly_rootfs = true
        volumes         = [
          "local/PreConfig.js:/opt/tomcat/webapps/draw/js/PreConfig.js",
          "local/PostConfig.js:/opt/tomcat/webapps/draw/js/PostConfig.js"
        ]
      }

      env {
        JAVA_OPTS = "-Djava.io.tmpdir=/local"
        TOMCAT_ADDRESS = "127.0.0.1"
      }

      template {
        data =<<_EOT
[[ template "diagrams/PreConfig.js.tpl" $c ]]
_EOT
        destination = "local/PreConfig.js"
      }

      template {
        data =<<_EOT
[[ template "diagrams/PostConfig.js.tpl" $c ]]
_EOT
        destination = "local/PostConfig.js"
      }

[[ template "common/file_env.tpl" $c ]]
[[ template "common/resources.tpl" $c ]]
    }
  }
}
